GMAP_BUILD(1)

NAME
gmap_build - create a genome database for GMAP or GSNAP

SYNOPSIS
gmap_build [options...] -d <genomename> <fasta_files>

DESCRIPTION

NAME
gmap_build - manual page for gmap_build 2014

SYNOPSIS
gmap_build [options...] -d <genomename> <fasta_files>

DESCRIPTION
Unknown option: help -k flag not specified, so building with default 15-mers Must specify genome database name with -d flag. at /usr/bin/gmap_build line 67.

gmap_build: Builds a gmap database for a genome to be used by GMAP or GSNAP. Part of GMAP package, version 2014-12-23.

A simplified alternative to using the program gmap_setup, which creates a Makefile.

OPTIONS

-D, --dir=STRING
    Destination directory for installation (defaults to gmapdb directory specified at configure time)

-d, --db=STRING
    Genome name

-n, --names=STRING
    Substitute names for chromosomes, provided in a file. The file should have one line for each chromosome name to be changed, with the original FASTA name in column 1 and the desired chromosome name in column 2. This provides an easy way to change the names of chromosomes, for example, to add or remove the "chr" prefix. Column 2 may be blank, which indicates no name change. This file can also be combined with --sort=names to provide a particular order for the chromosomes in the genome index.

-M, --mdflag=STRING
    Use MD file from NCBI for mapping contigs to chromosomal coordinates

-C, --contigs-are-mapped
    Find a chromosomal region in each FASTA header line. Useful for contigs that have been mapped to chromosomal coordinates. Ignored if the --mdflag is provided.

-z, --compression=STRING
    Use given compression types (separated by commas; default is bitpack64) bitpack64 - optimized for modern computers with SIMD instructions (recommended) all - create all available compression types, currently bitpack64 none - do not compress offset files (I believe this is no longer supported)

-k, --kmer=INT
    k-mer value for genomic index (allowed: 15 or less, default is 15)

-q INT
    sampling interval for genomoe (allowed: 1-3, default 3)

-s, --sort=STRING
    Sort chromosomes using given method: none - use chromosomes as found in FASTA file(s) alpha - sort chromosomes alphabetically (chr10 before chr 1) numeric-alpha - chr1, chr1U, chr2, chrM, chrU, chrX, chrY chrom - chr1, chr2, chrM, chrX, chrY, chr1U, chrU names - sort chromosomes based on file provided to --names flag

-g, --gunzip
    Files are gzipped, so need to gunzip each file first

-E, --fasta-pipe=STRING
    Interpret argument as a command, instead of a list of FASTA files

-w INT
    Wait (sleep) this many seconds after each step (default 2)

-c, --circular=STRING
    Circular chromosomes (either a list of chromosomes separated by a comma, or a filename containing circular chromosomes, one per line). If you use the --names feature, then you should use the original name of the chromosome, not the substitute name, for this option.

-e, --nmessages=INT
    Maximum number of messages (warnings, contig reports) to report (default 50)

--no-sarray
    Skip build of suffix array

  Obsolete options:

-T STRING
    Temporary build directory (may need to specify if you run out of space in your current directory) This is no longer necessary, since gmap_build now builds directly in the destination (or -D) directory.

AUTHOR
Thomas D. Wu and Colin K. Watanabe

REPORTING BUGS
Report bugs to Thomas Wu <twu@gene.com>.

COPYRIGHT
Copyright 2005 Genentech, Inc. All rights reserved.

SEE ALSO
gmap(1), gsnap(1)
http://research-pub.gene.com/gmap/